# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import synonymizer_pb2 as synonymizer__pb2


class synonymizerStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.getSynonymsLemmas = channel.unary_unary(
                '/com.randomm.proto.synonymizer/getSynonymsLemmas',
                request_serializer=synonymizer__pb2.SynonymRequest.SerializeToString,
                response_deserializer=synonymizer__pb2.SynonymResponse.FromString,
                )


class synonymizerServicer(object):
    """Missing associated documentation comment in .proto file."""

    def getSynonymsLemmas(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_synonymizerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'getSynonymsLemmas': grpc.unary_unary_rpc_method_handler(
                    servicer.getSynonymsLemmas,
                    request_deserializer=synonymizer__pb2.SynonymRequest.FromString,
                    response_serializer=synonymizer__pb2.SynonymResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'com.randomm.proto.synonymizer', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class synonymizer(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def getSynonymsLemmas(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/com.randomm.proto.synonymizer/getSynonymsLemmas',
            synonymizer__pb2.SynonymRequest.SerializeToString,
            synonymizer__pb2.SynonymResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
